Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-02-2011 00:23:02

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

[Tuto] Deluge Daemon + Web GUI

Salut à tous. Ayant upgradé mon serveur perso sous debian squeeze (sans trop de soucis, a part PhpMyAdmin), j'ai changé de bittornado + torrentflux à deluge-deamon avec sa web gui.

PS : Je vous fais le stric minimum, je rajouterais des screen et des précisions dans la semaine qui suit.

Commençons par installer deluge-daemon

En root :

aptitude install deluged deluge-web


On install alors le démon et l'interface web.

Passon ensuite au démon : sous debien il faut ajouter manuellement les lignes dans un fichier /etc/init.d/deluge-daemon

#!/bin/sh
### BEGIN INIT INFO
# Provides:          deluge-daemon
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Should-Start:      $network
# Should-Stop:       $network
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description:       Starts the deluge daemon with the user specified in
#                    /etc/default/deluge-daemon.
### END INIT INFO

# Author: Adolfo R. Brandes
# Modified: Sami Olmari

# The init.d script will only run if this variable non-empty.
DELUGED_USER="www-data" // Utilisateur qui exécutera le démon

# Should we run at startup?
RUN_AT_STARTUP="YES" // Demarrage du service au boot du serveur

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC="Deluge Daemon"
NAME1="deluged"
NAME2="deluge-web"
DAEMON1=/usr/bin/deluged
DAEMON1_ARGS="-d -c /var/lib/deluge -l /var/log/deluged.log -L warning"
DAEMON2=/usr/bin/deluge-web
DAEMON2_ARGS="-p 9092 -c /var/lib/deluge -l /var/log/deluge-web.log -L warning"
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME

# Exit if the package is not installed
[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
then
   log_warning_msg "Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it."
   exit 0
fi

if [ -z "$DELUGED_USER" ]
then
    log_warning_msg "Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME."
    exit 0
fi

#
# Function that starts the daemon/service
#
do_start()
{
   # Return
   #   0 if daemon has been started
   #   1 if daemon was already running
   #   2 if daemon could not be started
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --exec $DAEMON1 \
      --chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
   RETVAL1="$?"
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --exec $DAEMON2 \
      --chuid $DELUGED_USER --user $DELUGED_USER --test > /dev/null
   RETVAL2="$?"
   [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1

   start-stop-daemon --start --background --quiet --pidfile $PIDFILE1 --make-pidfile --exec $DAEMON1 \
      --chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON1_ARGS
   RETVAL1="$?"
        sleep 2
   start-stop-daemon --start --background --quiet --pidfile $PIDFILE2 --make-pidfile --exec $DAEMON2 \
      --chuid $DELUGED_USER --user $DELUGED_USER -- $DAEMON2_ARGS
   RETVAL2="$?"
   [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
   # Return
   #   0 if daemon has been stopped
   #   1 if daemon was already stopped
   #   2 if daemon could not be stopped
   #   other if a failure occurred

   start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE2
   RETVAL2="$?"
   start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --user $DELUGED_USER --pidfile $PIDFILE1
   RETVAL1="$?"
   [ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2

   rm -f $PIDFILE1 $PIDFILE2

   [ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
}

case "$1" in
  start)
   [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME1"
   do_start
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  stop)
   [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME1"
   do_stop
   case "$?" in
      0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
      2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
   esac
   ;;
  restart|force-reload)
   log_daemon_msg "Restarting $DESC" "$NAME1"
   do_stop
   case "$?" in
     0|1)
      do_start
      case "$?" in
         0) log_end_msg 0 ;;
         1) log_end_msg 1 ;; # Old process is still running
         *) log_end_msg 1 ;; # Failed to start
      esac
      ;;
     *)
        # Failed to stop
      log_end_msg 1
      ;;
   esac
   ;;
  *)
   echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
   exit 3
   ;;
esac

:


J'ai choisi d'utiliser l'utilisateur apache pour pouvoir pas m'embetter avec les droits et pouvoir coupler ce système avec mon serveur FTP et sa gestion d'users à l'aide de MySQL (Pure FTPd => Je ferais d'ailleur un petit tuto sur ce super serveur FTP que j'utilise depuis 8 mois maintenant).

On ajoute ce service au dans la gestion des process "rc.d"

chmod 755 /etc/init.d/deluge-daemon


update-rc.d deluge-daemon defaults


Passons ensuite en utilisateur "www-data"

su www-data


Alors par défaut, l'utilisateur www-data à son home dans :

/var/www


déplaçons nous dans ce dossier en utilisateur www-data :

cd /var/www/


Puis ont créer les dossiers nécessaires :

mkdir .config


mkdir .config/deluge


a partir de là, on va juste activer l'accé entre la web-gui et le démon deluge (Interaction en RPC), pour cela on se déplace dans le dossier de configuration de deluge :

cd .config/deluge/ & vim core.conf


et modifier la ligne suivante dans le fichier "core.conf" de la manière suivante :

"allow_remote": true,


Les prérequis sont OK, on va pouvoir se connecter à la webgui, sur le port 8112

http://server:8112


le mot de passe par défaut, est :

deluge


A partir de là, allez sur "Gestionnaire de connexion" et connectez vous sur "localhost:58846" et vous serez connecter sur votre serveur. Vous pouvez ABSOLUMENT TOUT configurer à partir de la webgui.

Je vous rajouterais les screen et les explications sur les différents paramètres.

Quelques fonctions en vrac de ce super client :

- Support Encryption / DHT
- Système d'ajout automatique de .torrent lorsque le paramètre est définie
- SUPPORT SSL
- Compatible avec la plus part des tracker
- Interface claire et précise
- Possibilité de contrôler les port utilisés pour le TRAFIC ENTRANT et le TRAFIC SORTANT !
- Possibilité de spécifier une interface réseau (par exemple pour faire tout transiter par VPN ^^)

Seul point négatif, sa consommation en ram, mais comme la webgui est fraiche, je pense qu'elle va se bonnifiée avec le temps.

Hors ligne

#2 11-02-2011 04:40:50

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [Tuto] Deluge Daemon + Web GUI

Ah super mecanotox !

Comme les tutos sont en place pour être dans le wiki df, je me suis permis de mettre ce post dans la section wiki.

Tu peux le copier dans lle wiki df directement si le coeur te dit, sinon, je le ferai volontier dès que tu me le demanderas.

Yeaaaaaaah ! lol

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#3 11-02-2011 10:20:33

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : [Tuto] Deluge Daemon + Web GUI

attent juste avant de le mettre dans le wiki, pk je dois l'amélioré encore (paramétrage + Screenshoot)

Hors ligne

#4 11-02-2011 10:29:49

PengouinPdt
Adhérent(e)
Lieu : 47 - France
Distrib. : Jessie
Noyau : Linux 3.16
(G)UI : XFCE
Inscription : 09-02-2011
Site Web

Re : [Tuto] Deluge Daemon + Web GUI

Juste un petit rappel que je me permets wink

Oui, la webgui consomme de la mémoire - en effet - mais c'est aussi, voire surtout, le browser web wink
Mais comme son nom l'indique, c'est une interface web, donc réseau ... bref, à lancer qu'au besoin ... 
Ensuite, y'a aussi l'interface graphique bureau qui se lance par menu système > Internet.
(ou 'deluge-gui' en console).
Deluge se gère aussi en mode console, par exemple au-travers d'un flux ssh.

Les deux interfaces sont un plus comparé à rtorrent - qui serait l'excellence, en mode console.

Ce qui est bien, avec ce soft, c'est que le "moteur" tourne en tâche de fond, grâce au daemon invoqué - qui donc redémarre au boot, correctement - et qui lui ne consomme pas tant que ça, loin s'en faut.

Voili, voilou.

Et, tant qu'à faire, un peu de promos pour le site de partage de torrent d'oeuvres sous licences libre ou de libre diffusion qu'est : freetorrent.fr.

Dernière modification par PengouinPdt (11-02-2011 10:30:49)

Hors ligne

#5 11-02-2011 12:31:51

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : [Tuto] Deluge Daemon + Web GUI

Comme précisé, le tuto est en cours de rédaction, je metterais les spécificités, les screens, et les explication.

Quant à rtorrent :

- Obsolète (Logiciel et librairies plus mises à jour)
- Trop compliqué à installer, surtout avec le résultat obtenu ! (Un torrentflux-b4rt avec bittornado ou transmission est plus efficace en terme de déploiement et de gestion par web-gui.)

Je suis technicien dans la vie de tout les jours, je kiffe SSH, mais pas à un point de me compliquer la chose pour un outil que je veut simple et efficace, mais effectivement on peut utiliser deluge en cli sous SSH, c'est une bonne idée d'ajouter ce point, même si en utilisation serveur, la seul chose que l'on fait c'est laisser tourner et aller regarder de temps en temps si ton oeuvre libre ou ta distrib est fini de DL.

Je reste sur ma position que Deluge consomme beaucoup en ram (Je le vois tt de suite sur mon serveur en faisant un "top" et en comparant ma conso ram avant / après mise en place de deluge), par rapport à une solution torrentflux, mais avec torrentflux-ng en developpement et l'interaction en RPC, on peut espérer l'intégration de deluge-deamon à torrentflux-ng (ce qui serais bien, il faudrait que je passe pour soumettre l'idée sur leur forum).

A oui contrairement à Transmission BT, la web GUI n'est pas un composant Core ! Donc on peut installer uniquement le demon, et coder ou mettre une autre webgui (compatible bien sûr) plus légère.

Sur l'aspect modulable, je trouve que deluge a atteind le même niveau que MLDonkey (Dommage que celui-ci soit tjs blacklisté par certains réseaux)

PS: je connais les base de l'algo et le principe MCD/ MLD ! je sais que le demon est un "moteur" et que ce "moteur" tourne en tâche de fond.

Dernière modification par mecanotox (11-02-2011 12:34:21)

Hors ligne

#6 11-02-2011 18:58:55

PengouinPdt
Adhérent(e)
Lieu : 47 - France
Distrib. : Jessie
Noyau : Linux 3.16
(G)UI : XFCE
Inscription : 09-02-2011
Site Web

Re : [Tuto] Deluge Daemon + Web GUI

Perso, je suis aussi technicien info ... quoiqu'il en soit, je suis pour les solutions les plus simples et les plus faciles d'accès - et, là, concernant deluge, je trouve que c'est le cas.

Facile à utiliser, à configurer... y'a que l'install du démon, qui n'est pas "user-friendly".
Mais, ensuite l'usage ... ;-)

@mecanotox: si t'es capable de dév. une interface, pourquoi ne pas te mettre en relation avec le projet et leur offrir tes compétences, plutôt que "réinventer la roue".

Hors ligne

#7 12-02-2011 03:01:57

mecanotox
Membre
Distrib. : Ubuntu 12.10 Quantal
Noyau : 3.5.0-21-generic
(G)UI : XFCE 4.10 + Thunar 1.6
Inscription : 04-06-2008

Re : [Tuto] Deluge Daemon + Web GUI

Le dev c'est pas ma tasse de thé smile J'ai les bases, mais bon mon niveau est trop bas ^^ (Je sais utiliser les conditions, un peu les boucles et insérer des datas dans une BDD mySQL à partir d'un formulaire, et en resortir / trier des données d'une BDD).

Je passerais en tout cas sur le fofo de torrentflux-ng, pour proposer qu'il intègrent deluge-daemon.

Je suis tout a fait dac avec toi que réinventer la roue, ça sert a rien, et que dans ton métier, qui est également le mien, on recherche surtout efficacité, évolutivité et simplicité de mise en oeuvre de d'administration (La partie coup est un autre débat ^^ mais elle fait parti intégrante de l'équation).

Après le démon, comme je l'ais mis, il est configurable a partir de la webgui, le seul truc pas vraiment user-frendly c'est le fichier a mettre dans /etc/init.d/, configurer l'autentification de départ et activer RPC pour les échanges et l'interprétation des données entre le démon et l'interface.

Par rapport à transmission, graphiquement on peut tout configurer: transmission ne prends pas en compte certains paramètres suivant sa version (on sait que sur les dépots stable de debian les paquets peuvent devenir désuète après 6mois / 1 an) et d'autre part, tout n'est pas configurable sur la webgui de transmission (Point négatif et domage en tout cas car webgui plus légère).

PS: LOL le tuto est de nouveau en top 1 sur google selon la requète tapée ^^ (Sa me rappel le tuto XFCE + Compiz Fusion que j'ai fait à l'époque)

Dernière modification par mecanotox (12-02-2011 03:02:55)

Hors ligne

Pied de page des forums